Subject: Re: bug#31584: 27.0.50; Document again what match re-search-backward finds

From: Eric Abrahamsen <[email-masked]>
Date: Thu, 24 May 2018 17:36:46 -0700

Noam Postavsky <[email-masked]> writes:

> Michael Heerdegen <[email-masked]> writes:
>
>>> +Note that searching backwards may give a shorter match than expected,
>>> +because the matching still happens in the forward direction.  See Info
>>> +anchor `(elisp) re-search-backward' for details.  */)
>
>> Too bad that the anchor is located after the relevant description.
>
> I don't understand what you mean.
>
>> FWIW; I still prefer the original sentence, I find it describes the
>> behavior best, and short (which is good for a docstring).  It is also
>> good to have an alternative and more verbose explanation in the manual.
>
> I find the original sentence kind of cryptic, but I'm okay to be
> outvoted on this.

I think Drew's statement that "the pattern is always matched in a
forward direction, even when it matches text that is before point" makes
a lot of sense. That's just a 2¢, though, that's all I've got for this
issue.